Bug 1290145 - epel7 rubygem-ffi FTBFS on aarch64
Summary: epel7 rubygem-ffi FTBFS on aarch64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: rubygem-ffi
Version: epel7
Hardware: aarch64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Bryan Kearney
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: epel7aarch64
TreeView+ depends on / blocked
 
Reported: 2015-12-09 18:14 UTC by Yaakov Selkowitz
Modified: 2016-06-07 04:20 UTC (History)
4 users (show)

Fixed In Version: rubygem-ffi-1.9.10-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-07 04:20:00 UTC
Type: Bug


Attachments (Terms of Use)
Patch for rawhide (1.49 KB, patch)
2015-12-10 20:51 UTC, Yaakov Selkowitz
no flags Details | Diff

Description Yaakov Selkowitz 2015-12-09 18:14:00 UTC
rubygem-ffi has been fixed for aarch64 since F22 but epel7 was branched earlier.  Please merge from at least f22 so that this can be built on epel7 for aarch64.

Comment 1 Yaakov Selkowitz 2015-12-10 19:52:56 UTC
(In reply to Yaakov Selkowitz from comment #0)
> rubygem-ffi has been fixed for aarch64 since F22 but epel7 was branched
> earlier.  Please merge from at least f22 so that this can be built on epel7
> for aarch64.

Actually, it's not quite so simple.  RHEL 7 rubygems (2.0.14) expands s.files without sorting, which is different from Fedora's (2.4.5+) which sorts them alphabetically.  I'm not sure if that is a bug per se in ruby(gems) or just a change in behaviour between versions.  Assuming the latter, we'll need a separate patch for epel7.

Comment 2 Yaakov Selkowitz 2015-12-10 20:51:39 UTC
Created attachment 1104491 [details]
Patch for rawhide

After further investigation, it looks like it would be better to rebase 
to ffi-1.9.10 after restoring EPEL compatibility in the spec file.  The 
attached patch for rawhide can then be merged into epel7, and then a 
build and update will fix this.  I have already verified that rubygem-aruba
and rubygem-openscap rebuild and pass their testsuites with this version.

Comment 3 Yaakov Selkowitz 2016-04-28 06:18:21 UTC
Bryan,

Any objections to rebasing EPEL7 rubygem-ffi for this?

Comment 4 Fedora Update System 2016-05-17 20:28:24 UTC
rubygem-ffi-1.9.10-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4c48bc7b08

Comment 5 Fedora Update System 2016-05-21 06:23:01 UTC
rubygem-ffi-1.9.10-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4c48bc7b08

Comment 6 Fedora Update System 2016-06-07 04:19:58 UTC
rubygem-ffi-1.9.10-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.